Subject: Re: [GSoC] [PATCH 2/8] submodule--helper: remove repeated code in sync_submodule()

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Aug 2021 09:21:51 -0700

Christian Couder <[email-masked]> writes:

> On Fri, Aug 6, 2021 at 2:54 AM Đoàn Trần Công Danh <[email-masked]> wrote:
>
>> While previous patch is definitely a refactoring, this patch add small
>> overhead to the system, the new code will query (then free())
>> git_config_get_string() and/or xgetcwd() one more time in the second
>> compute_submodule_clone_url()
>>
>> I think the abstraction overhead is not that big, though.
>
> Yeah, Junio made basically the same comment. So it would be nice if
> the commit message could mention we are adding a very small overhead
> in exchange for code simplification (10 lines removed).

If you guys want to, I wouldn't stop, but my comment was just a
thinking-aloud observation, not a suggestion to add to the proposed
log message.

Thanks.